curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/demographics/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"demographics": {
"sourcedId": "<string>",
"status": "active",
"birthDate": "<string>",
"sex": "male",
"americanIndianOrAlaskaNative": "<string>",
"asian": "<string>",
"blackOrAfricanAmerican": "<string>",
"nativeHawaiianOrOtherPacificIslander": "<string>",
"white": "<string>",
"demographicRaceTwoOrMoreRaces": "<string>",
"hispanicOrLatinoEthnicity": "<string>",
"countryOfBirthCode": "<string>",
"stateOfBirthAbbreviation": "<string>",
"cityOfBirth": "<string>",
"publicSchoolResidenceStatus": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {}
}
}Get a specific Demographic record on the service provider. If the corresponding record cannot be located, the api will return a 404 error code and message ‘Demographics record not found.’
curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/demographics/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"demographics": {
"sourcedId": "<string>",
"status": "active",
"birthDate": "<string>",
"sex": "male",
"americanIndianOrAlaskaNative": "<string>",
"asian": "<string>",
"blackOrAfricanAmerican": "<string>",
"nativeHawaiianOrOtherPacificIslander": "<string>",
"white": "<string>",
"demographicRaceTwoOrMoreRaces": "<string>",
"hispanicOrLatinoEthnicity": "<string>",
"countryOfBirthCode": "<string>",
"stateOfBirthAbbreviation": "<string>",
"cityOfBirth": "<string>",
"publicSchoolResidenceStatus": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier for the demographics record
Comma-separated list of fields to include in the response
"sourcedId,name"
Demographics record retrieved successfully
Represents a student's demographics information.
Show child attributes